<?php
require(dirname(__FILE__) .'/check.php');
$skin->CheckIframe();


/* **** 版权所有 ****

 程序开发：网钛科技
 网钛CMS官网：http://otcms.com
 网钛IDC官网：http://idccms.com
 ＱＱ：877873666
 微信：QQ877873666
 邮箱：877873666@qq.com

 **** 版权所有 **** */


//用户检测
$MB->Open('','login');



switch ($mudi){
	case 'del':
		$MB->IsSecMenuRight('alert',636,$dataType);
		del();
		break;

	case 'monthDel':
		$MB->IsSecMenuRight('alertBack',636,$dataType);
		MonthDel();
		break;

	default:
		die('err');
}

$MB->Close();
$DB->Close();





// 删除
function del(){
	global $DB,$skin,$mudi,$menuFileID,$menuTreeID,$dataType,$dataTypeCN;

	$dataID = OT::GetInt2( OT::ParaArr('id') );

	if ($dataID<=0){
		JS::AlertEnd('指定ID错误！');
	}

	$judRes = $DB->query('delete from '. OT_dbPref .'apiRecord where AR_ID='. $dataID);
		if ($judRes){
			$alertRes = '成功';
		}else{
			$alertRes = '失败';
		}

	Adm::AddLog(array(
		'note'	=> '【'. $dataTypeCN .'】删除'. $alertRes .'！',
		));

	JS::ParentHiddenEnd('data'. $dataID);
}



// 批量删除记录
function MonthDel(){
	global $DB;

	$backURL= OT::GetStr('backURL');
	$day	= OT::GetInt('day');

	if ($day < 30){
		JS::AlertBackEnd('天数指定错误.');
	}
	$day = $day*(-1);

	$DB->query('delete from '. OT_dbPref .'apiRecord where AR_time<'. $DB->ForTime(TimeDate::Add('d',$day,TimeDate::Get('date'))));

	JS::AlertHref('删除成功.',$backURL);

}
?>